import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/th_service.dart';
import '../modules/main/main_page.dart';

/// TH组件对应的路由实现类
class THServiceImpl extends GetxService implements THService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
  }

  @override
  void startTHMainPage() {
    THMainPage.startWithPopAll();
  }
}
